Subject: Re: [RFC/PATCH 3/3] builtin/show.c: do not prune by pathspec

From: Johannes Sixt <[email-masked]>
Date: Thu, 31 Mar 2011 12:18:01 +0200

Am 3/31/2011 11:17, schrieb Michael J Gruber:
> By design, "git show commit -- path" is not "git show commit:path", and
> there is no reason to change that. But "git show commit -- path" simply
> returns nothing at all "most of the time" because it prunes by pathspec
> even though it does not walk commits. This is pretty useless.
> 
> So, turn off pruning (but keep diff limiting of course) so that "git
> show commit -- path" shows the commit message and the diff that the
> commit introduces to path (filtered by path); only the diff will be
> empty "most of the time".

How does this interfere with git show --walk commit -- path? Will it now
show all commits instead of just those that changed path?

-- Hannes